#! /usr/bin/env bash

set -eu
set -o pipefail
# set -x

dconf write '/org/gnome/desktop/wm/keybindings/switch-windows' "['<Alt>Tab']"
dconf write '/org/gnome/desktop/wm/keybindings/switch-windows-backward' "['<Shift><Alt>Tab']"
dconf write '/org/gnome/desktop/wm/keybindings/switch-applications' "@as []"
dconf write '/org/gnome/desktop/wm/keybindings/switch-applications-backward' "@as []"

gsettings set org.gnome.settings-daemon.plugins.media-keys custom-keybindings "['/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/', '/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom1/']"

# Keybind 0
gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ binding "<Super>t"
gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ command "wezterm"
gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ name "Terminal"

# Keybind 1
gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom1/ binding "<Ctrl><Alt>t"
gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom1/ command "wezterm"
gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom1/ name "Terminal"

# Go to desktop
dconf write /org/gnome/desktop/wm/keybindings/show-desktop "['<Super>d', '<Ctrl><Alt>d']"

# Lock screen
dconf write /org/gnome/settings-daemon/plugins/media-keys/screensaver "['<Super>l', '<Super>Escape']"
