#! /usr/bin/env bash

set -eu
set -o pipefail

install_optional() {
  pacman -S --needed --quiet --asdeps $(expac -1S "%n\n%o" $1)
}

if [ ! $EUID -eq 0 ]; then
  sudo "$0" "$@"
  "$(dirname "$0")"/gnome.sh
  exit $?
fi

pacman -Sy --quiet
pacman -S --needed --quiet zellij fish tmux vim helix htop chezmoi lsd wezterm micro starship torbrowser-launcher qbittorrent vlc gajim libayatana-appindicator
pacman -S --needed --quiet gvfs-{goa,wsdd}
pacman -S --needed --quiet gnome-shell-extensions gnome-shell-extension-appindicator gnome-shell-extension-desktop-icons-ng gnome-shell-extension-dash-to-panel
install_optional wezterm
